---
title: Release notes of the 4.0.3 version of `TFEL`, `MFront` and `MTest`
author: Thomas Helfer
date: 2024
lang: en-EN
numbersections: true
documentclass: article
from: markdown+tex_math_single_backslash
geometry:
  - margin=2cm
papersize: a4
link-citations: true
colorlinks: true
figPrefixTemplate: "$$i$$"
tblPrefixTemplate: "$$i$$"
secPrefixTemplate: "$$i$$"
eqnPrefixTemplate: "($$i$$)"
---

The page describes the new functionalities of Version 4.0.3 of the
`TFEL` project.

Version 4.0.3 has been released on June, 4th 2024. This version
inherits from the bug fixes of:

- Version [3.0.13](release-notes-3.0.13.html),
- Version [3.1.13](release-notes-3.1.13.html),
- Version [3.2.10](release-notes-3.2.10.html),
- Version [3.3.5](release-notes-3.3.5.html),
- Version [3.4.6](release-notes-3.4.6.html).

# Issues fixed

## Issue 571: [mtest] fix handling of the tangent operator blocks in the GenericBehaviour class

For more details, see <https://github.com/thelfer/tfel/issues/571>

## Issue 562: [cmake] fix enable-static option

For more details, see <https://github.com/thelfer/tfel/issues/562>

## Issue 542: Fix the `ConceptRebind` specialisation for `FixedSizeArrayDerivative`

For more details, see <https://github.com/thelfer/tfel/issues/542>

## Issue 524: [physical-constants] Units of the Stefan constant are wrong

For more details, see <https://github.com/thelfer/tfel/issues/529>

## Issue 524: [mfront] prevent importing a model not implemented using the Model DSL in behaviors

For more details, see <https://github.com/thelfer/tfel/issues/524>

## Issue 522: [mfront] Visual Studio 2022 compiler intrinsic type traits error C2139

For more details, see <https://github.com/thelfer/tfel/issues/522>

## Issue 484: Allow `result_type` for `@StaticVariable`

For more details, see <https://github.com/thelfer/tfel/issues/484>


